# Uses of Class
org.apache.avro.idl.IdlParser.IdentifierContext

## Uses of IdlParser.IdentifierContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.IdentifierContext
Modifier and Type
Field
Description
`IdlParser.IdentifierContext`
IdlParser.EnumDefaultContext.`defaultSymbolName`
`IdlParser.IdentifierContext`
IdlParser.VariableDeclarationContext.`fieldName`
`IdlParser.IdentifierContext`
IdlParser.MessageDeclarationContext.`identifier`
`IdlParser.IdentifierContext`
IdlParser.EnumDeclarationContext.`name`
`IdlParser.IdentifierContext`
IdlParser.EnumSymbolContext.`name`
`IdlParser.IdentifierContext`
IdlParser.FixedDeclarationContext.`name`
`IdlParser.IdentifierContext`
IdlParser.MessageDeclarationContext.`name`
`IdlParser.IdentifierContext`
IdlParser.ProtocolDeclarationContext.`name`
`IdlParser.IdentifierContext`
IdlParser.RecordDeclarationContext.`name`
`IdlParser.IdentifierContext`
IdlParser.SchemaPropertyContext.`name`
`IdlParser.IdentifierContext`
IdlParser.NamespaceDeclarationContext.`namespace`
`IdlParser.IdentifierContext`
IdlParser.NullableTypeContext.`referenceName`
Fields in org.apache.avro.idl with type parameters of type IdlParser.IdentifierContext
Modifier and Type
Field
Description
`List<IdlParser.IdentifierContext>`
IdlParser.MessageDeclarationContext.`errors`
Methods in org.apache.avro.idl that return IdlParser.IdentifierContext
Modifier and Type
Method
Description
`IdlParser.IdentifierContext`
IdlParser.EnumDeclarationContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.EnumDefaultContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.EnumSymbolContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.FixedDeclarationContext.`identifier()`
`final IdlParser.IdentifierContext`
IdlParser.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.MessageDeclarationContext.`identifier(int i)`
`IdlParser.IdentifierContext`
IdlParser.NamespaceDeclarationContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.NullableTypeContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.ProtocolDeclarationContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.RecordDeclarationContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.SchemaPropertyContext.`identifier()`
`IdlParser.IdentifierContext`
IdlParser.VariableDeclarationContext.`identifier()`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.IdentifierContext
Modifier and Type
Method
Description
`List<IdlParser.IdentifierContext>`
IdlParser.MessageDeclarationContext.`identifier()`
Methods in org.apache.avro.idl with parameters of type IdlParser.IdentifierContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterIdentifier(IdlParser.IdentifierContext ctx)`
Enter a parse tree produced by `IdlParser.identifier()`.
`void`
IdlListener.`enterIdentifier(IdlParser.IdentifierContext ctx)`
Enter a parse tree produced by `IdlParser.identifier()`.
`void`
IdlBaseListener.`exitIdentifier(IdlParser.IdentifierContext ctx)`
Exit a parse tree produced by `IdlParser.identifier()`.
`void`
IdlListener.`exitIdentifier(IdlParser.IdentifierContext ctx)`
Exit a parse tree produced by `IdlParser.identifier()`.